diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-option-header.h ns-3.44/src/dsr/model/dsr-option-header.h
--- ns-3.43/src/dsr/model/dsr-option-header.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-option-header.h	2025-03-09 16:55:49.371371000 -0700
@@ -35,15 +35,15 @@
 namespace dsr
 {
 /**
- * \ingroup dsr
- * \brief header for Dsr Options.
+ * @ingroup dsr
+ * @brief header for Dsr Options.
  */
 class DsrOptionHeader : public Header
 {
   public:
     /**
-     * \struct Alignment
-     * \brief Represents the alignment requirements of an option header
+     * @struct Alignment
+     * @brief Represents the alignment requirements of an option header
      */
     struct Alignment
     {
@@ -52,67 +52,67 @@
     };
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionHeader() override;
     /**
-     * \brief Set the type of the option.
-     * \param type the type of the option
+     * @brief Set the type of the option.
+     * @param type the type of the option
      */
     void SetType(uint8_t type);
     /**
-     * \brief Get the type of the option.
-     * \return the type of the option
+     * @brief Get the type of the option.
+     * @return the type of the option
      */
     uint8_t GetType() const;
     /**
-     * \brief Set the option length.
-     * \param length the option length
+     * @brief Set the option length.
+     * @param length the option length
      */
     void SetLength(uint8_t length);
     /**
-     * \brief Get the option length.
-     * \return the option length
+     * @brief Get the option length.
+     * @return the option length
      */
     uint8_t GetLength() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      *
      * Subclasses should only implement this method, if special alignment is
      * required. Default is no alignment (1n+0).
@@ -121,121 +121,121 @@
 
   private:
     /**
-     * \brief The type of the option.
+     * @brief The type of the option.
      */
     uint8_t m_type;
     /**
-     * \brief The option length.
+     * @brief The option length.
      */
     uint8_t m_length;
     /**
-     * \brief The anonymous data of this option
+     * @brief The anonymous data of this option
      */
     Buffer m_data;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Pad1
+ * @ingroup dsr
+ * @brief Header of Dsr Option Pad1
  */
 class DsrOptionPad1Header : public DsrOptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionPad1Header();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionPad1Header() override;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Padn
+ * @ingroup dsr
+ * @brief Header of Dsr Option Padn
  */
 class DsrOptionPadnHeader : public DsrOptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
-     * \param pad Number of bytes to pad (>=2)
+     * @brief Constructor.
+     * @param pad Number of bytes to pad (>=2)
      */
     DsrOptionPadnHeader(uint32_t pad = 2);
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionPadnHeader() override;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Route Request
+ * @ingroup dsr
+ * @brief Header of Dsr Option Route Request
  *
- * \verbatim
+ * @verbatim
    Route Request (RREQ) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -259,110 +259,110 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRreqHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRreqHeader() override;
     /**
-     * \brief Set the number of ipv4 address.
-     * \param n the number of ipv4 address
+     * @brief Set the number of ipv4 address.
+     * @param n the number of ipv4 address
      */
     void SetNumberAddress(uint8_t n);
     /**
-     * \brief Get the target ipv4 address.
-     * \return target the target packet
+     * @brief Get the target ipv4 address.
+     * @return target the target packet
      */
     Ipv4Address GetTarget();
     /**
-     * \brief Set the target ipv4 address.
-     * \param target the target packet
+     * @brief Set the target ipv4 address.
+     * @param target the target packet
      */
     void SetTarget(Ipv4Address target);
     /**
-     * \brief Set the vector of ipv4 address
-     * \param ipv4Address the vector of ipv4 address
+     * @brief Set the vector of ipv4 address
+     * @param ipv4Address the vector of ipv4 address
      */
     void SetNodesAddress(std::vector<Ipv4Address> ipv4Address);
     /**
-     * \brief Get the vector of ipv4 address
-     * \return the vector of ipv4 address
+     * @brief Get the vector of ipv4 address
+     * @return the vector of ipv4 address
      */
     std::vector<Ipv4Address> GetNodesAddresses() const;
     /**
-     * \brief Get the number of nodes
-     * \return the number of nodes
+     * @brief Get the number of nodes
+     * @return the number of nodes
      */
     uint32_t GetNodesNumber() const;
     /**
-     * \brief Add one node address
-     * \param ipv4 The ip address to add
+     * @brief Add one node address
+     * @param ipv4 The ip address to add
      */
     void AddNodeAddress(Ipv4Address ipv4);
     /**
-     * \brief Set a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \param addr the new IPv4 Address
+     * @brief Set a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @param addr the new IPv4 Address
      */
     void SetNodeAddress(uint8_t index, Ipv4Address addr);
     /**
-     * \brief Get a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \return the router IPv4 Address
+     * @brief Get a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @return the router IPv4 Address
      */
     Ipv4Address GetNodeAddress(uint8_t index) const;
     /**
-     * \brief Set the request id number.
-     * \param identification the identification number
+     * @brief Set the request id number.
+     * @param identification the identification number
      */
     void SetId(uint16_t identification);
     /**
-     * \brief Set the request id number.
-     * \return request id number
+     * @brief Set the request id number.
+     * @return request id number
      */
     uint16_t GetId() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief Identifier of the packet.
+     * @brief Identifier of the packet.
      */
     uint16_t m_identification;
     /**
@@ -374,20 +374,20 @@
      */
     Ipv4Address m_address;
     /**
-     * \brief A vector of IPv4 Address.
+     * @brief A vector of IPv4 Address.
      */
     typedef std::vector<Ipv4Address> VectorIpv4Address_t;
     /**
-     * \brief The vector of Nodes' IPv4 Address.
+     * @brief The vector of Nodes' IPv4 Address.
      */
     VectorIpv4Address_t m_ipv4Address;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Route Reply
+ * @ingroup dsr
+ * @brief Header of Dsr Option Route Reply
  *
- * \verbatim
+ * @verbatim
    Standard Route Reply (RREP) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -407,7 +407,7 @@
  *
  * The Route Reply header modified for ns-3 implementation:
  *
- * \verbatim
+ * @verbatim
    ns-3 Route Reply (RREP) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -429,80 +429,80 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRrepHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRrepHeader() override;
     /**
-     * \brief Set the number of ipv4 address.
-     * \param n the number of ipv4 address
+     * @brief Set the number of ipv4 address.
+     * @param n the number of ipv4 address
      */
     void SetNumberAddress(uint8_t n);
     /**
-     * \brief Set the vector of ipv4 address
-     * \param ipv4Address the vector of ipv4 address
+     * @brief Set the vector of ipv4 address
+     * @param ipv4Address the vector of ipv4 address
      */
     void SetNodesAddress(std::vector<Ipv4Address> ipv4Address);
     /**
-     * \brief Get the vector of ipv4 address
-     * \return the vector of ipv4 address
+     * @brief Get the vector of ipv4 address
+     * @return the vector of ipv4 address
      */
     std::vector<Ipv4Address> GetNodesAddress() const;
     /**
-     * \brief Get the target node Ip address
-     * \param ipv4Address target address
-     * \return the target address
+     * @brief Get the target node Ip address
+     * @param ipv4Address target address
+     * @return the target address
      */
     Ipv4Address GetTargetAddress(std::vector<Ipv4Address> ipv4Address) const;
     /**
-     * \brief Set a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \param addr the new IPv4 Address
+     * @brief Set a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @param addr the new IPv4 Address
      */
     void SetNodeAddress(uint8_t index, Ipv4Address addr);
     /**
-     * \brief Get a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \return the router IPv4 Address
+     * @brief Get a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @return the router IPv4 Address
      */
     Ipv4Address GetNodeAddress(uint8_t index) const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
@@ -512,20 +512,20 @@
      */
     Ipv4Address m_address;
     /**
-     * \brief typedef for a vector of IPv4 Addresses.
+     * @brief typedef for a vector of IPv4 Addresses.
      */
     typedef std::vector<Ipv4Address> VectorIpv4Address_t;
     /**
-     * \brief The vector of Nodes' IPv4 Address.
+     * @brief The vector of Nodes' IPv4 Address.
      */
     VectorIpv4Address_t m_ipv4Address;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Source Route
+ * @ingroup dsr
+ * @brief Header of Dsr Option Source Route
  *
- * \verbatim
+ * @verbatim
    Source Route (SR) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -547,136 +547,136 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionSRHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionSRHeader() override;
     /**
-     * \brief Set the number of segments left to send
-     * \param segmentsLeft The segments left
+     * @brief Set the number of segments left to send
+     * @param segmentsLeft The segments left
      */
     void SetSegmentsLeft(uint8_t segmentsLeft);
     /**
-     * \brief Get the number of segments left to send
-     * \return The segments left
+     * @brief Get the number of segments left to send
+     * @return The segments left
      */
     uint8_t GetSegmentsLeft() const;
     /**
-     * \brief Set the number of ipv4 address.
-     * \param n the number of ipv4' address
+     * @brief Set the number of ipv4 address.
+     * @param n the number of ipv4' address
      */
     void SetNumberAddress(uint8_t n);
     /**
-     * \brief Set the vector of ipv4 address
-     * \param ipv4Address the vector of ipv4 address
+     * @brief Set the vector of ipv4 address
+     * @param ipv4Address the vector of ipv4 address
      */
     void SetNodesAddress(std::vector<Ipv4Address> ipv4Address);
     /**
-     * \brief Get the vector of ipv4 address
-     * \return the vector of ipv4 address
+     * @brief Get the vector of ipv4 address
+     * @return the vector of ipv4 address
      */
     std::vector<Ipv4Address> GetNodesAddress() const;
     /**
-     * \brief Get the node list size which is the number of ip address of the route
-     * \return the node list size
+     * @brief Get the node list size which is the number of ip address of the route
+     * @return the node list size
      */
     uint8_t GetNodeListSize() const;
     /**
-     * \brief Set a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \param addr the new IPv4 Address
+     * @brief Set a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @param addr the new IPv4 Address
      */
     void SetNodeAddress(uint8_t index, Ipv4Address addr);
     /**
-     * \brief Get a Node IPv4 Address.
-     * \param index the index of the IPv4 Address
-     * \return the router IPv4 Address
+     * @brief Get a Node IPv4 Address.
+     * @param index the index of the IPv4 Address
+     * @return the router IPv4 Address
      */
     Ipv4Address GetNodeAddress(uint8_t index) const;
     /**
-     * \brief Set the salvage value for a packet
-     * \param salvage The salvage value of the packet
+     * @brief Set the salvage value for a packet
+     * @param salvage The salvage value of the packet
      */
     void SetSalvage(uint8_t salvage);
     /**
-     * \brief Get the salvage value for a packet
-     * \return The salvage value of the packet
+     * @brief Get the salvage value for a packet
+     * @return The salvage value of the packet
      */
     uint8_t GetSalvage() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
     /**
      * TracedCallback signature for DsrOptionSrHeader.
      *
-     * \param [in] header The DsrOptionsSRHeader
+     * @param [in] header The DsrOptionsSRHeader
      */
     typedef void (*TracedCallback)(const DsrOptionSRHeader& header);
 
   private:
     /**
-     * \brief The ip address header deserialize to
+     * @brief The ip address header deserialize to
      */
     Ipv4Address m_address;
     /**
-     * \brief Number of left segments.
+     * @brief Number of left segments.
      */
     uint8_t m_segmentsLeft;
     /**
-     * \brief Number of salvage times for a packet.
+     * @brief Number of salvage times for a packet.
      */
     uint8_t m_salvage;
     /**
-     * \brief A vector of IPv4 Address.
+     * @brief A vector of IPv4 Address.
      */
     typedef std::vector<Ipv4Address> VectorIpv4Address_t;
     /**
-     * \brief The vector of Nodes' IPv4 Address.
+     * @brief The vector of Nodes' IPv4 Address.
      */
     VectorIpv4Address_t m_ipv4Address;
 };
 
 /**
- * \ingroup dsr
- * \enum ErrorType
- * \brief Error type used in several DSR Option Headers
+ * @ingroup dsr
+ * @enum ErrorType
+ * @brief Error type used in several DSR Option Headers
  */
 enum ErrorType
 {
@@ -686,10 +686,10 @@
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option Route Error
+ * @ingroup dsr
+ * @brief Header of Dsr Option Route Error
  *
- * \verbatim
+ * @verbatim
    Route Error (RERR) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -714,122 +714,122 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRerrHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRerrHeader() override;
     /**
-     * \brief Set the route error type
-     * \param errorType The error type
+     * @brief Set the route error type
+     * @param errorType The error type
      */
     void SetErrorType(uint8_t errorType);
     /**
-     * \brief Get the route error type
-     * \return The error type
+     * @brief Get the route error type
+     * @return The error type
      */
     uint8_t GetErrorType() const;
     /**
-     * \brief Set the route error source address
-     * \param errorSrcAddress The error source address
+     * @brief Set the route error source address
+     * @param errorSrcAddress The error source address
      */
     virtual void SetErrorSrc(Ipv4Address errorSrcAddress);
     /**
-     * \brief Get the route error source address
-     * \return The error source address
+     * @brief Get the route error source address
+     * @return The error source address
      */
     virtual Ipv4Address GetErrorSrc() const;
     /**
-     * \brief Set the salvage value of the packet
-     * \param salvage The salvage value of the packet
+     * @brief Set the salvage value of the packet
+     * @param salvage The salvage value of the packet
      */
     virtual void SetSalvage(uint8_t salvage);
     /**
-     * \brief Get the salvage value of the packet
-     * \return The salvage value of the packet
+     * @brief Get the salvage value of the packet
+     * @return The salvage value of the packet
      */
     virtual uint8_t GetSalvage() const;
     /**
-     * \brief Set the error destination ip address
-     * \param errorDstAddress The error destination address
+     * @brief Set the error destination ip address
+     * @param errorDstAddress The error destination address
      */
     virtual void SetErrorDst(Ipv4Address errorDstAddress);
     /**
-     * \brief Get the error destination ip address
-     * \return The error destination address
+     * @brief Get the error destination ip address
+     * @return The error destination address
      */
     virtual Ipv4Address GetErrorDst() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief The error type or route error option
+     * @brief The error type or route error option
      */
     uint8_t m_errorType;
     /**
-     * \brief The salvage field
+     * @brief The salvage field
      */
     uint8_t m_salvage;
     /**
-     * \brief The specific error message length
+     * @brief The specific error message length
      */
     uint16_t m_errorLength;
     /**
-     * \brief The error source address
+     * @brief The error source address
      */
     Ipv4Address m_errorSrcAddress;
     /**
-     * \brief The error destination address
+     * @brief The error destination address
      */
     Ipv4Address m_errorDstAddress;
     /**
-     * \brief The anonymous data of this option
+     * @brief The anonymous data of this option
      */
     Buffer m_errorData;
 };
 
 /**
- * \ingroup dsr
- * \brief Route Error (RERR) Unreachable node address option Message Format
+ * @ingroup dsr
+ * @brief Route Error (RERR) Unreachable node address option Message Format
  *
- * \verbatim
+ * @verbatim
    Route Error Unreachable type-specific info field
 
    |      0        |      1        |      2        |      3        |
